Commit 5634c39a authored by Daniel Wolf's avatar Daniel Wolf
Browse files

Update dependencies

parent 11c31b53
......@@ -25,22 +25,6 @@
</formatting-settings>
</DBN-SQL>
<JetCodeStyleSettings>
<option name="PACKAGES_TO_USE_STAR_IMPORTS">
<value>
<package name="java.util" alias="false" withSubpackages="false" />
<package name="kotlinx.android.synthetic" alias="false" withSubpackages="true" />
<package name="io.ktor" alias="false" withSubpackages="true" />
</value>
</option>
<option name="PACKAGES_IMPORT_LAYOUT">
<value>
<package name="" alias="false" withSubpackages="true" />
<package name="java" alias="false" withSubpackages="true" />
<package name="javax" alias="false" withSubpackages="true" />
<package name="kotlin" alias="false" withSubpackages="true" />
<package name="" alias="true" withSubpackages="true" />
</value>
</option>
<option name="CODE_STYLE_DEFAULTS" value="KOTLIN_OFFICIAL" />
</JetCodeStyleSettings>
<codeStyleSettings language="XML">
......
......@@ -4,7 +4,7 @@
<component name="GradleSettings">
<option name="linkedExternalProjectsSettings">
<GradleProjectSettings>
<option name="testRunner" value="PLATFORM" />
<option name="testRunner" value="GRADLE" />
<option name="distributionType" value="DEFAULT_WRAPPED" />
<option name="externalProjectPath" value="$PROJECT_DIR$" />
<option name="modules">
......@@ -14,7 +14,6 @@
</set>
</option>
<option name="resolveModulePerSourceSet" value="false" />
<option name="useQualifiedModuleNames" value="true" />
</GradleProjectSettings>
</option>
</component>
......
......@@ -45,7 +45,7 @@
</value>
</option>
</component>
<component name="ProjectRootManager" version="2" languageLevel="JDK_1_8" default="false" project-jdk-name="JDK" project-jdk-type="JavaSDK">
<component name="ProjectRootManager" version="2" languageLevel="JDK_11" default="true" project-jdk-name="11" project-jdk-type="JavaSDK">
<output url="file://$PROJECT_DIR$/build/classes" />
</component>
<component name="ProjectType">
......
......@@ -147,8 +147,8 @@ dependencies {
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk8:$KOTLIN_VERSION"
implementation('org.jetbrains.kotlinx:kotlinx-coroutines-core:1.5.0')
implementation 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.5.0'
implementation('org.jetbrains.kotlinx:kotlinx-coroutines-core:1.5.1')
implementation 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.5.1'
implementation 'com.frostnerd.utilskt:lifecycle:1.2.2'
......@@ -158,15 +158,15 @@ dependencies {
implementation 'com.frostnerd.utilskt:general:1.0.26' // https://git.frostnerd.com/AndroidUtils/generalkt
implementation 'com.frostnerd.utilskt:adapters:1.3.5' // https://git.frostnerd.com/AndroidUtils/Adapters
storeImplementation 'com.google.android.gms:play-services-cronet:17.0.0'
fdroidImplementation 'com.google.android.gms:play-services-cronet:17.0.0'
storeImplementation 'com.google.android.gms:play-services-cronet:17.0.1'
fdroidImplementation 'com.google.android.gms:play-services-cronet:17.0.1'
implementation 'androidx.work:work-runtime:2.5.0'
implementation 'androidx.appcompat:appcompat:1.3.0-rc01'
implementation 'androidx.appcompat:appcompat:1.3.1'
implementation "androidx.preference:preference:1.1.1"
implementation "com.google.android.material:material:1.3.0"
implementation "com.google.android.material:material:1.4.0"
implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.1.0-alpha01'
implementation "androidx.core:core-ktx:1.5.0-rc02"
implementation "androidx.core:core-ktx:1.6.0"
implementation "androidx.room:room-runtime:$room_version"
kapt "androidx.room:room-compiler:$room_version"
......
......@@ -33,12 +33,12 @@ ext.nexus_password = getNexusPassword()
buildscript {
ext {
ext.KOTLIN_VERSION = '1.5.10'
ext.KOTLIN_VERSION = '1.5.21'
}
ext.ANDROID_COMPILE_SDK = (System.getenv("ANDROID_COMPILE_SDK") == null ? 30 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.ANDROID_TARGET_SDK = (System.getenv("ANDROID_TARGET_SDK") == null ? ANDROID_COMPILE_SDK : System.getenv("ANDROID_TARGET_SDK")).toInteger()
ext.ANDROID_MIN_SDK = (System.getenv("ANDROID_MIN_SDK") == null ? 14 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.ANDROID_GRADLE_PLUGIN_VERSION = System.getenv("ANDROID_GRADLE_PLUGIN_VERSION") == null ? "4.2.1" : System.getenv("ANDROID_GRADLE_PLUGIN_VERSION")
ext.ANDROID_GRADLE_PLUGIN_VERSION = System.getenv("ANDROID_GRADLE_PLUGIN_VERSION") == null ? "7.0.0" : System.getenv("ANDROID_GRADLE_PLUGIN_VERSION")
println "COMPILE SDK Version: $ANDROID_COMPILE_SDK"
println "TARGET SDK Version: $ANDROID_TARGET_SDK"
......@@ -48,9 +48,6 @@ buildscript {
repositories {
mavenCentral()
google()
maven {
url 'http://storage.googleapis.com/r8-releases/raw'
}
}
dependencies {
classpath "com.android.tools.build:gradle:$ANDROID_GRADLE_PLUGIN_VERSION"
......
......@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-6.9-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-7.0.2-all.zip
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment